Bug 515360 - Review Request: pipestat - anonymous pipe information
Summary: Review Request: pipestat - anonymous pipe information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-03 21:09 UTC by Steve Milner
Modified: 2009-08-18 00:25 UTC (History)
2 users (show)

Fixed In Version: 0.3.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-17 22:02:47 UTC
Type: ---
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Steve Milner 2009-08-03 21:09:45 UTC
Spec URL: http://stevemilner.org/images/pipestat.spec
SRPM URL: http://stevemilner.org/images/pipestat-0.2-1.fc11.src.rpm
Description: Simple python scripts to watch data flowing over an anonymous pipe on shell consoles

http://code.google.com/p/pipestat/

[steve@arc pipestat-0.2]$ rpmlint pipestat.spec ~/rpmbuild/RPMS/noarch/pipestat-0.2-1.fc11.noarch.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
[steve@arc pipestat-0.2]$

Comment 1 Jason Tibbitts 2009-08-05 03:09:12 UTC
Builds fine and rpmlint is silent.

The only statement of the GPL version in use is in setup.py; the source file just says
  # This software may be freely redistributed under the terms of the GNU
  # general public license.
which isn't all that specific.  setup.py is sufficient for us to establish intent, even though it contradicts what's on the upstream web site.  It would probably be a good idea to contact upstream and ask them to more clearly and consistently state the code license, and to follow the instructions in the "How to Apply These Terms to Your New Programs" section of the GPL for indicating GPL version in individual pieces of code.

I installed this and it seems to work, although there's no documentation at all so I didn't do anything other than run it in a pipe.

The %description promises multiple scripts but I found only one.

None of these issues are significant enough to hold up this review, but it would be nice to get the license stuff cleaned up before the code base grows much more.

* source files match upstream.  sha256sum:                   
    818856108f0cb4799dc3baad0f841fdc20bc80dcddc902ffbf932085b4d19dc0
    pipestat-0.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK (besides promising more than one script).
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   pipestat = 0.2-1.fc12
  =
   /usr/bin/python
   python(abi) = 2.6

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 2 Steve Milner 2009-08-05 13:26:04 UTC
Thanks, since I am now a committer on the project I'll fix these items before the first released package in Fedora.

Comment 3 Steve Milner 2009-08-05 13:29:15 UTC
New Package CVS Request
=======================
Package Name: pipestat
Short Description: Simple python script to watch data flowing over an anonymous pipe on shell consoles
Owners: smilner
Branches: F-10 F-11 EL-5
InitialCC:

Comment 4 Jason Tibbitts 2009-08-05 16:48:40 UTC
CVS done.

Comment 5 Fedora Update System 2009-08-11 17:27:28 UTC
pipestat-0.3.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-1.fc11

Comment 6 Fedora Update System 2009-08-11 17:28:46 UTC
pipestat-0.3.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-1.fc10

Comment 7 Fedora Update System 2009-08-11 17:30:24 UTC
pipestat-0.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-1.el5

Comment 8 Fedora Update System 2009-08-12 20:58:03 UTC
pipestat-0.3.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pipestat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8513

Comment 9 Fedora Update System 2009-08-17 21:54:15 UTC
pipestat-0.3.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-08-17 22:02:42 UTC
pipestat-0.3.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-08-18 00:25:28 UTC
pipestat-0.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.